Subject: Bird of Paradise

From: Bill Allen <[email-masked]>
Date: 06 Feb 1996 22:46:29 GMT

Hi All: I have a Bird of Paradise plant that I planted from seed about 12 
years ago. I have it in a pot as I live near Toronto. I keep it near a window 
for the maximum sun and it has grown into a pretty big plant. Last summer I 
went to divide it into three main plants but when I cleaned off all the roots 
I was afraid to cut into it. (it's my baby) Does anyone know the proper way to 
cut the roots to divide such a plant. I realize I'm going to have to cut it 
but I don't know the best way. Thanks in advance.
					Bill